package cn.ey.biz.module.system.convert.category;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.controller.admin.category.vo.CategoryAppCreateReqVO;
import cn.ey.biz.module.system.controller.admin.category.vo.CategoryAppExcelVO;
import cn.ey.biz.module.system.controller.admin.category.vo.CategoryAppRespVO;
import cn.ey.biz.module.system.controller.admin.category.vo.CategoryAppUpdateReqVO;
import cn.ey.biz.module.system.dal.dataobject.category.CategoryAppDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 字典分类应用 Convert
 *
 */
@Mapper
public interface CategoryAppConvert {

    CategoryAppConvert INSTANCE = Mappers.getMapper(CategoryAppConvert.class);

    CategoryAppDO convert(CategoryAppCreateReqVO bean);

    CategoryAppDO convert(CategoryAppUpdateReqVO bean);

    CategoryAppRespVO convert(CategoryAppDO bean);

    List<CategoryAppRespVO> convertList(List<CategoryAppDO> list);

    PageResult<CategoryAppRespVO> convertPage(PageResult<CategoryAppDO> page);

    List<CategoryAppExcelVO> convertList02(List<CategoryAppDO> list);

}
